#ifndef MIRROR_H
#define MIRROR_H

#include "vector.h"
#include "quat.h"
#include "geometry.h"

//mirror stuff
class M_Mirror {

public:
	Vector	v[4];		//replace this with the model of the mirror (faces and triangles abound!)

	Plane	plane;		//plane of reflection

	Vector	reflection;	//a simple Scale vector for now

	//methods used for displaying the mirror in the scene 
	void	Render(void);

	void	BeginRenderStencil(void);
	void	EndRenderStencil(void);

	//reflects the position on the mirror plane
	void	ReflectPos(Vector *position);
};

#endif