#ifndef OGLH_H
#define OGLH_H

#include <windows.h>

class OpenGLHandler {

public:

	OpenGLHandler();
	bool Init(HWND hWnd, bool dbuf);

	~OpenGLHandler();
	void Kill(void);

	void Clear(void);
	void Update(void);
	void Resize(void);

	int Width(void);
	int Height(void);

	//externally self-called (if that makes sense)
	void CV_UpdateVars(void);

private:

	bool active;
	bool doublebuffered;

	HDC hDC;
	HGLRC hRC;
	HWND hWindow;

	int width, height;

	int	PolygonMode;	//completely debug
};

#endif